/*
 * Copyright (C) 2006 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file stdin.h the stdin task structure and exported symbols from stdin.c */

/**
 * the task structure used for reading from stdin
 */
struct stdin_task {
	/** input buffer */
	char *buf;
	/** the size of \a buf */
	size_t bufsize;
	/** number of bytes currently loaded in \a buf */
	size_t loaded;
	/** whether \p STDIN_FILENO was included in the read fd set */
	int check_fd;
	/** the task structure */
	struct task task;
	/** non-zero on read error, or if a read from stdin returned zero */
	int eof;
};

void stdin_pre_select(struct sched *s, struct task *t);
void stdin_post_select(struct sched *s, struct task *t);
void stdin_set_defaults(struct stdin_task *sit);
